Bug 28601 - Wrong breadcrumb for 'Home' on circulation-home
Summary: Wrong breadcrumb for 'Home' on circulation-home
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 27846
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-18 15:45 UTC by Nick Clemens
Modified: 2022-06-06 20:25 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the breadcrumb link to the the staff interface home page from the circulation area - it now links correctly to the staff interface home page, rather than the circulation page.
Version(s) released in:
21.11.00,21.05.02


Attachments
Bug 28601: Fix 'Home' breadcrumd on circulation-home.pl (1.10 KB, patch)
2021-06-18 15:47 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28601: Fix 'Home' breadcrumd on circulation-home.pl (1.15 KB, patch)
2021-06-18 19:23 UTC, David Nind
Details | Diff | Splinter Review
Bug 28601: Fix 'Home' breadcrumd on circulation-home.pl (1.25 KB, patch)
2021-06-23 14:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-06-18 15:45:17 UTC
To recreate:
1 - Got to 'Circulation'
2 - Click 'Home' in breadcrumbs
3 - You are still in circulation home
Comment 1 Nick Clemens 2021-06-18 15:47:09 UTC
Created attachment 122165 [details] [review]
Bug 28601: Fix 'Home' breadcrumd on circulation-home.pl

To test:
1 - Got to 'Circulation'
2 - Click 'Home' in breadcrumbs
3 - You are still in circulation home
4 - Apply patch
5 - reload page
6 - Click 'Home'
7 - Success!
Comment 2 David Nind 2021-06-18 19:23:52 UTC
Created attachment 122172 [details] [review]
Bug 28601: Fix 'Home' breadcrumd on circulation-home.pl

To test:
1 - Got to 'Circulation'
2 - Click 'Home' in breadcrumbs
3 - You are still in circulation home
4 - Apply patch
5 - reload page
6 - Click 'Home'
7 - Success!

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Marcel de Rooy 2021-06-23 14:38:52 UTC
Created attachment 122343 [details] [review]
Bug 28601: Fix 'Home' breadcrumd on circulation-home.pl

To test:
1 - Got to 'Circulation'
2 - Click 'Home' in breadcrumbs
3 - You are still in circulation home
4 - Apply patch
5 - reload page
6 - Click 'Home'
7 - Success!

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-06-24 09:54:28 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-09 14:34:51 UTC
Pushed to 21.05.x for 21.05.02
Comment 6 Fridolin Somers 2021-08-02 20:34:59 UTC
Introduced by Bug 27846
Comment 7 Fridolin Somers 2021-08-02 20:35:20 UTC
Depends on Bug 27846 not in 20.11.x